Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.workflow
Class StateImpl

    java.lang.Object
      |
      +--theory.smart.foundation.BelongingImpl
            |
            +--theory.smart.axiom.workflow.StateImpl

public class StateImpl
extends BelongingImpl
implements State

Represents a discrete state in a state machine or workflow. It is contained by a `StateMachine` and refered to by `Transitions`

See Also:
  `State`, `StateHome`, Serialized Form

Field Summary
`java.lang.String` | `name` name [State] <*>------> [`String`]

Fields inherited from class theory.smart.foundation.BelongingImpl
`isDirty`

Constructor Summary
`StateImpl()`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`void` | `enter(Transition trans)` This method is invoked whenever the state is entered.
`void` | `error(Transition trans)` This method is invoked whenever the state is transitioned from in erro.
`void` | `exit(Transition trans)` This method is invoked whenever the state is transitioned from.
`TransitionPolicy` | `getEnterPolicy()` Get the transition policy that is invoked when the state is entered.
`TransitionPolicy` | `getErrorPolicy()` Set the transition policy that is invoked when the state is exited with an invalid transition.
`TransitionPolicy` | `getExitPolicy()` Get the transition policy that is invoked when the state is exited.
`java.lang.String` | `getName()` Get the value of name
`void` | `setEnterPolicy(TransitionPolicy policy)` Set a transition policy that is invoked when the state is entered.
`void` | `setErrorPolicy(TransitionPolicy policy)` Set a transition policy that is invoked when the state is exited with an invalid transition.
`void` | `setExitPolicy(TransitionPolicy policy)` Set a transition policy that is invoked when the state is exited.
`void` | `setName(java.lang.String name)` Set the value of name
`Belonging` | `value()`

Methods inherited from class theory.smart.foundation.BelongingImpl
`equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

                        name
       [State] <*>------> [String]

Constructor Detail

### StateImpl

    public StateImpl()

Method Detail

### getName

    public java.lang.String getName()

  Get the value of name
  Specified by:
    getName in interface State
  Returns:
    name.

### setName

    public void setName(java.lang.String name)

  Set the value of name
  Specified by:
    setName in interface State
  Parameters:
    `name` - name to be added

### value

    public Belonging value()

### compareTo

    public int compareTo(java.lang.Object o)

  Overrides:
    compareTo in class BelongingImpl

### enter

    public void enter(Transition trans)

  This method is invoked whenever the state is entered. It searches for an enter policy and invokes it.
  Specified by:
    enter in interface State

### exit

    public void exit(Transition trans)

  This method is invoked whenever the state is transitioned from. It searches for an Exit Policy and invokes it if present.
  Specified by:
    exit in interface State

### error

    public void error(Transition trans)

  This method is invoked whenever the state is transitioned from in erro. It searches for an Error Policy and invokes it if present
  Specified by:
    error in interface State

### setEnterPolicy

    public void setEnterPolicy(TransitionPolicy policy)

  Set a transition policy that is invoked when the state is entered.
  Specified by:
    setEnterPolicy in interface State

### getEnterPolicy

    public TransitionPolicy getEnterPolicy()

  Get the transition policy that is invoked when the state is entered.
  Specified by:
    getEnterPolicy in interface State

### setExitPolicy

    public void setExitPolicy(TransitionPolicy policy)

  Set a transition policy that is invoked when the state is exited.
  Specified by:
    setExitPolicy in interface State

### getExitPolicy

    public TransitionPolicy getExitPolicy()

  Get the transition policy that is invoked when the state is exited.
  Specified by:
    getExitPolicy in interface State

### setErrorPolicy

    public void setErrorPolicy(TransitionPolicy policy)

  Set a transition policy that is invoked when the state is exited with an invalid transition.
  Specified by:
    setErrorPolicy in interface State

### getErrorPolicy

    public TransitionPolicy getErrorPolicy()

  Set the transition policy that is invoked when the state is exited with an invalid transition.
  Specified by:
    getErrorPolicy in interface State

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.